# Feed

## Get Enterprise Feed

<mark style="color:blue;">`GET`</mark> `https://api.matrica.io/v1/feed`

Fetch feeds based on given parameters. This route is exclusive to Enterprise plans.

#### Query Parameters

| Name         | Type      | Description                                                                                            |
| ------------ | --------- | ------------------------------------------------------------------------------------------------------ |
| communityIds | string\[] | Array of community Ids. Feed will only include communities provided.                                   |
| type         | string    | Type of feed entry. ex) DISCORD, TWITTER                                                               |
| date         | string    | <p>Will only include the feed items starting from the specified date.</p><p></p><p>ISO format date</p> |
| skip         | number    | Pagination skip, default 0                                                                             |
| take         | number    | Pagination take, default 25                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matrica.io/api-reference/feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
